﻿#language: ru

@quality_control

Функционал: 03_quality_control. Подготовка и запуск обработки Рабочее место мастера смены

Сценарий: 03_quality_control. Анализ по смеси для баланса
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И из выпадающего списка "Вид анализа" я выбираю по строке 'пока'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'смесь 50'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' | 'Соответствует нормативу' |
		| 'МДБ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '3,100'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' | 'Соответствует нормативу' |
		| 'МДЖ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,700'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 03_quality_control. Запуск обработки Рабочее место мастера смены
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'Сырцех'      |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'Сырцех'      | 'Не закрыта' |
	И я перехожу к закладке "Баланс"
	И я нажимаю на кнопку 'Свести баланс'
	И в таблице "ВыпускБаланс" я перехожу к строке:
		| '% белка'| '% жира'  | 'Бкг'     | 'Жкг'     | 'Количество'  | 'Номенклатура' |
		| '1,702'  | '1,570'   | '357,944' | '330,235' | '21 035,850'  | 'Потери'       |
	И в таблице "ВыпускБаланс" я перехожу к строке:
		| '% белка' | '% жира' | 'Бкг'     | 'Жкг'     | 'Количество' | 'Номенклатура'   |
		| '21,000'  | '25,000' | '199,500' | '237,500' | '950,000'    | 'Российский 50%' |
	И в таблице "РаспределениеМатериаловБаланс" я перехожу к строке:
		| '% белка' | '% жира' | 'Бкг'     | 'Жкг'     | 'Количество' | 'Номенклатура' |
		| '1,504'   | '2,800'  | '150,775' | '280,675' | '10 025,000' | 'Смесь 50%'    |
	И в таблице "РаспределениеМатериаловБаланс" я перехожу к строке:
		| '% белка' | '% жира' | 'Бкг'     | 'Жкг'     | 'Количество' | 'Номенклатура' |
		| '3,400'   | '2,400'  | '406,669' | '287,060' | '11 960,850' | 'Смесь 35%'    |
	И я нажимаю на кнопку 'Открыть баланс жира и белка'
	Тогда открылось окно 'Баланс жира и белка'
	И Я закрываю окно 'Баланс жира и белка'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Сырье'
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' |   'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       |   'Смесь 50%'                           |
	И я нажимаю на кнопку с именем 'КомандаУказатьОстатокОстаткиПолуфабрикаты'
	Тогда открылось окно 'Укажите общий остаток:'
	И в поле 'Количество' я ввожу текст '4,500'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Укажите общий остаток:'
	И в таблице "ПоказателиАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "ПоказателиАнализов" в поле 'Значение' я ввожу текст '2,100'
	И в таблице "ПоказателиАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "ПоказателиАнализов" в поле 'Значение' я ввожу текст '2,700'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' |   'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       |   'Смесь 50%'                           |
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '-10 000,000'                 | '10 000,000'        | '1 до 01.11.2018 0:00:00'             |
	И я нажимаю на кнопку 'Списать'
	Тогда открылось окно 'Списать'
	И таблица "СписываемыеПартии" стала равной:
		| 'Тара' | 'Номенклатура'                        | 'Остаток' | 'Количество'  |
		| ''     | 'Смесь 50% / 1 до 01.11.2018 0:00:00' | ''        | '-10 000,000' |
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'По отраслевой методике'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4'
	И таблица  "ДеревоОстаткиВсе" не содержит строки:
		| 'Склад / Номенклатура / Серия / Тара' |
		| '1 до 01.11.2018 0:00:00'             |
	И в таблице "ДеревоРабочиеЦентры" я активизирую поле "Статус"
	И я нажимаю на кнопку 'Закрыть' 
	И я нажимаю на кнопку 'Закрыть'
	И Я закрываю окно 'Рабочее место мастера смены*'

Сценарий: 03_quality_control. Проверка отображения вкладки баланса
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И из выпадающего списка "ОтборВидРабочегоЦентра" я выбираю по строке 'сы'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'Сырцех'      |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'      | 'Статус'     |
		| 'Выпуск сыворотки' | 'Не закрыта' |
	И элемент формы "Баланс" существует и невидим на форме
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'      |
		| 'Сырцех'      | 'Есть ошибки' |
	И элемент формы "Баланс" присутствует на форме
	И я закрыл все окна клиентского приложения

Сценарий: 03_quality_control. Проверка заявки на анализ по остатку смеси
	Когда В панели разделов я выбираю 'Производство'
	И В командном интерфейсе я выбираю 'Производство' 'Заявки на анализы номенклатуры'
	И таблица  "Список" не содержит строки:
		| 'Вид анализа'        | 'Номенклатура' | 'Серия'                   	  |
		| 'показатели МДЖ МДБ' | 'Смесь 50%'    | 'Остаток до 01.11.2018 0:00:00' |
	И я закрываю окно 'Заявки на анализы номенклатуры'

Сценарий: 03_quality_control. Подготовка данных для всех операций. Для списания материалов и усушки
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упако'
	И я изменяю флаг с именем 'УказыватьСкладВТаблицеМатериалы'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'камера созревания 1'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '52,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '18,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'поше'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '52,500'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '20,000'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку с именем 'РаспределениеМатериаловДобавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка с именем "РаспределениеМатериаловНоменклатура" я выбираю по строке 'пакет'
	И в таблице "РаспределениеМатериалов" в поле с именем 'РаспределениеМатериаловКоличество' я ввожу текст '18,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'   | 'Спецификация'       | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,000'     | '18,000'      | 'Российский 50%' | 'Российский 50% Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Добавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка "Номенклатура" я выбираю по строке 'росс'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '52,000'
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '18,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'   | 'Спецификация'       | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,000'     | '18,000'      | 'Российский 50%' | 'Российский 50% Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Добавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка "Номенклатура" я выбираю по строке 'поше'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '52,500'
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '20,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'    | 'Спецификация'        | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,500'     | '20,000'      | 'Пошехонский 45%' | 'Пошехонский 45% Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрыл все окна клиентского приложения
  
Сценарий: 03_quality_control. Списание брака материалов в режиме всех остатков РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'Упаковка'    |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'Упаковка'    | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И я жду доступности элемента с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4' в течение 10 секунд
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4'
	Когда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-18,000'                     | '18,000'            | 'Пакет '                              | '<не используются>' |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиВсе'
	Тогда открылось окно 'Списать'
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'Брак'
	И в таблице "СписываемыеПартииБезТары" в поле с именем 'СписываемыеПартииБезТарыКоличество' я ввожу текст '2,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-20,000'                     | '20,000'            | 'Пакет '                              | '<не используются>' |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '-52,000'                     | '52,000'            | '-18,000'                      | '<Количество 1>'                | '<Количество 1>'     | '18,000'             | 'Российский 50%'                      | 'Варка'          |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиВсе'
	Тогда открылось окно 'Списать'
	Затем Проверяю шаги на Исключение:
		|'И из выпадающего списка "Вариант распределения" я выбираю точное значение "Брак"'|
	И я закрыл все окна клиентского приложения